Search Specific Recording
Search specific recording from the recording list.
Request URL
GET {base_url}/{api_path}/recording/search?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
| start_time | No | String | The start time used for filtering call records, provided as a Unix timestamp in seconds. |
| end_time | No | String | The end time used for filtering call records, provided as a Unix timestamp in seconds. |
| caller | No | String | The number of the caller. |
| callee | No | String | The number of the callee. |
| ids | No | String | The ID of the recording file. Note:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of searched call recording. |
| data | Array<Recording_Details> | The detailed information of the call recording. |
Recording_Details
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the call recording. |
| time | String | The time when the call was made or received. |
| uid | String | The unique ID of the CDR for which the recording is proceeded. |
| call_from | String | Caller. |
| call_to | String | Callee. |
| duration | Integer | Call duration. |
| size | Integer | The size of the call recording file. (Unit: Byte) |
| call_type | String | Communication type.
|
| file | String | The name of the call recording file. |
| call_from_number | String | The number of the caller. |
| call_from_name | String | The name of the caller. |
| call_to_number | String | The number of the callee. |
| call_to_name | String | The name of the callee. |
| archive_status | String | The archive status.
|
| archive_path | String | The path of the file on archive server. |
| archive_type | String | The type of the archive server. |
| file_path | String | The path of the file in local storage. |
Examples
Request example
GET /openapi/v1.0/recording/search?page=1&access_token=loWZOGLcplJJjNIEeKgMWuQyKK4AkWaS&page_size=20&sort_by=id&order_by=desc&ids=449,506 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 2,
"data": [
{
"id": 506,
"time": "2025/08/22 10:43:31 AM",
"uid": "202508221043319FE24",
"call_from": "Rachel Morgan<5006>",
"call_to": "Leo Ball<5000>",
"duration": 17,
"size": 568628,
"call_type": "Internal",
"file": "20250822104334-1755830611.29-5006-5000-Internal.wav",
"call_from_number": "",
"call_from_name": "",
"call_to_number": "",
"call_to_name": "",
"archive_status": "",
"archive_path": "/PBX/RecordingFiles-recording-20251124/20251124135807-1763963876.31-80123456-1001-Inbound.wav",
"archive_type": "sharepoint",
"file_path": "/tmp/media/networkdisk10/recording/20251124/20251124135807-1763963876.31-80123456-1001-Inbound.wav"
},
{
"id": 449,
"time": "2025/08/13 01:54:00 PM",
"uid": "20250813135400D8CCE",
"call_from": "Dave Miller<5003>",
"call_to": "Sarah Bennet<5002>",
"duration": 1,
"size": 31348,
"call_type": "Internal",
"file": "20250813135615-1755064440.60-5003-5002-Internal.wav",
"call_from_number": "",
"call_from_name": "",
"call_to_number": "",
"call_to_name": "",
"archive_status": "",
"archive_path": "",
"archive_type": "",
"file_path": ""
}
]
}